package com.fastbee.deviceData.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 设备厂家信息对象 iot_device_manufacturers
 *
 * @author kerwincui
 * @date 2024-12-21
 */
@ApiModel(value = "DeviceManufacturers",description = "设备厂家信息 iot_device_manufacturers")
@Data
@EqualsAndHashCode(callSuper = true)
public class DeviceManufacturers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 厂家链接，接口基地址 */
    @Excel(name = "厂家链接，接口基地址")
    @ApiModelProperty("厂家链接，接口基地址")
    private String endpoint;

    /** 厂名称 */
    @Excel(name = "厂名称")
    @ApiModelProperty("厂名称")
    private String manufacturerName;

    /** 帐户 */
    @Excel(name = "帐户")
    @ApiModelProperty("帐户")
    private String account;

    /** 密码 */
    @Excel(name = "密码")
    @ApiModelProperty("密码")
    private String password;

    /** 接口文档 */
    @Excel(name = "接口文档")
    @ApiModelProperty("接口文档")
    private String interfaceDocumentation;

    /** api-key */
    @Excel(name = "api-key")
    @ApiModelProperty("api-key")
    private String apiKey;

    /** authId */
    @Excel(name = "authId")
    @ApiModelProperty("authId")
    private String authid;

    /** secret-key */
    @Excel(name = "secret-key")
    @ApiModelProperty("secret-key")
    private String secretKey;

    /** 厂家鉴权接口地址 */
    @Excel(name = "厂家鉴权接口地址")
    @ApiModelProperty("厂家鉴权接口地址")
    private String tokenendpoint;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

    /** 厂家类型 */
    @Excel(name = "厂家类型")
    @ApiModelProperty("厂家类型")
    private String manufacturerType;

    /** 厂家代码 */
    @Excel(name = "厂家代码")
    @ApiModelProperty("厂家代码")
    private Long code;

}
