package com.fastbee.deviceData.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceData.domain.DeviceRealtimedataMiaoqing;
import org.apache.ibatis.annotations.Mapper;

/**
 * 苗青设备实时数据Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-14
 */
@Mapper
public interface DeviceRealtimedataMiaoqingMapper extends BaseMapper<DeviceRealtimedataMiaoqing>
{
    /**
     * 查询苗青设备实时数据
     *
     * @param id 苗青设备实时数据主键
     * @return 苗青设备实时数据
     */
    public DeviceRealtimedataMiaoqing selectDeviceRealtimedataMiaoqingById(Long id);

    /**
     * 查询苗青设备实时数据列表
     *
     * @param deviceRealtimedataMiaoqing 苗青设备实时数据
     * @return 苗青设备实时数据集合
     */
    public List<DeviceRealtimedataMiaoqing> selectDeviceRealtimedataMiaoqingList(DeviceRealtimedataMiaoqing deviceRealtimedataMiaoqing);

    /**
     * 新增苗青设备实时数据
     *
     * @param deviceRealtimedataMiaoqing 苗青设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataMiaoqing(DeviceRealtimedataMiaoqing deviceRealtimedataMiaoqing);

    /**
     * 修改苗青设备实时数据
     *
     * @param deviceRealtimedataMiaoqing 苗青设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataMiaoqing(DeviceRealtimedataMiaoqing deviceRealtimedataMiaoqing);

    /**
     * 删除苗青设备实时数据
     *
     * @param id 苗青设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataMiaoqingById(Long id);

    /**
     * 批量删除苗青设备实时数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataMiaoqingByIds(Long[] ids);
}
