package com.fastbee.deviceData.service;

import java.util.List;
import com.fastbee.deviceData.domain.DeviceRealtimedataMiaoqing;
import com.fastbee.deviceData.domain.dto.DeviceProperties;

/**
 * 苗青设备实时数据Service接口
 * 
 * @author kerwincui
 * @date 2024-11-14
 */
public interface IDeviceRealtimedataMiaoqingService 
{
    /**
     * 查询苗青设备实时数据
     * 
     * @param id 苗青设备实时数据主键
     * @return 苗青设备实时数据
     */
    public DeviceRealtimedataMiaoqing selectDeviceRealtimedataMiaoqingById(Long id);

    /**
     * 查询苗青设备实时数据列表
     * 
     * @param deviceRealtimedataMiaoqing 苗青设备实时数据
     * @return 苗青设备实时数据集合
     */
    public List<DeviceRealtimedataMiaoqing> selectDeviceRealtimedataMiaoqingList(DeviceRealtimedataMiaoqing deviceRealtimedataMiaoqing);

    /**
     * 新增苗青设备实时数据
     * 
     * @param deviceRealtimedataMiaoqing 苗青设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataMiaoqing(DeviceRealtimedataMiaoqing deviceRealtimedataMiaoqing);

    /**
     * 修改苗青设备实时数据
     * 
     * @param deviceRealtimedataMiaoqing 苗青设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataMiaoqing(DeviceRealtimedataMiaoqing deviceRealtimedataMiaoqing);

    /**
     * 批量删除苗青设备实时数据
     * 
     * @param ids 需要删除的苗青设备实时数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataMiaoqingByIds(Long[] ids);

    /**
     * 删除苗青设备实时数据信息
     * 
     * @param id 苗青设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataMiaoqingById(Long id);

    /**
     * 获取最新一条苗青数据
     * @param deviceId
     * @return
     */
    public List<DeviceProperties> getLatestMiaoqingRealtimedata(String deviceId);
}
