package com.fastbee.deviceInfo.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceInfo.domain.DeviceInformationWorms;
import org.apache.ibatis.annotations.Mapper;

/**
 * 虫情设备基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-18
 */
@Mapper
public interface DeviceInformationWormsMapper extends BaseMapper<DeviceInformationWorms>
{
    /**
     * 查询虫情设备基础信息
     *
     * @param id 虫情设备基础信息主键
     * @return 虫情设备基础信息
     */
    public DeviceInformationWorms selectDeviceInformationWormsById(String deviceEncoding);

    /**
     * 查询虫情设备基础信息列表
     *
     * @param deviceInformationWorms 虫情设备基础信息
     * @return 虫情设备基础信息集合
     */
    public List<DeviceInformationWorms> selectDeviceInformationWormsList(DeviceInformationWorms deviceInformationWorms);

    /**
     * 新增虫情设备基础信息
     *
     * @param deviceInformationWorms 虫情设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationWorms(DeviceInformationWorms deviceInformationWorms);

    /**
     * 修改虫情设备基础信息
     *
     * @param deviceInformationWorms 虫情设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationWorms(DeviceInformationWorms deviceInformationWorms);

    /**
     * 删除虫情设备基础信息
     *
     * @param id 虫情设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationWormsById(Long id);

    /**
     * 批量删除虫情设备基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceInformationWormsByIds(Long[] ids);
}
