package com.fastbee.deviceModel.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 设备型号对象 iot_device_model
 *
 * @author kerwincui
 * @date 2024-12-17
 */
@ApiModel(value = "DeviceModel",description = "设备型号 iot_device_model")
@Data
@EqualsAndHashCode(callSuper = true)
public class DeviceModel extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long modelId;

    /** 型号 */
            @Excel(name = "型号")
            @ApiModelProperty("型号")
    private String model;

    /** 图片 */
            @Excel(name = "图片")
            @ApiModelProperty("图片")
    private String image;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

}
