package com.fastbee.ggroup.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 站点设备关系对象 g_site_device
 *
 * @author kerwincui
 * @date 2024-11-05
 */
@ApiModel(value = "GSiteDevice",description = "站点设备关系 g_site_device")
@Data
@EqualsAndHashCode(callSuper = true)
public class GSiteDevice extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 站点id */
            @Excel(name = "站点id")
            @ApiModelProperty("站点id")
    private Long siteId;

    /** 设备id */
            @Excel(name = "设备id")
            @ApiModelProperty("设备id")
    private Long deviceId;

}
