package com.fastbee.ggroup.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 泵站信息对象 g_site_pump_info
 *
 * @author kerwincui
 * @date 2024-11-04
 */
@ApiModel(value = "GSitePumpInfo",description = "泵站信息 g_site_pump_info")
@Data
@EqualsAndHashCode(callSuper = true)
public class GSitePumpInfo extends BaseEntity
{
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 工程名称 */
            @Excel(name = "工程名称")
            @ApiModelProperty("工程名称")
    private String projectName;

    /** 工程编码 */
            @Excel(name = "工程编码")
            @ApiModelProperty("工程编码")
    private String projectCode;

    /** 地理坐标（经度） */
            @Excel(name = "地理坐标", readConverterExp = "经=度")
            @ApiModelProperty("地理坐标")
    private BigDecimal geographicalCoordLongitude;

    /** 地理坐标（纬度） */
            @Excel(name = "地理坐标", readConverterExp = "纬=度")
            @ApiModelProperty("地理坐标")
    private BigDecimal geographicalCoordLatitude;

    /** 工程位置 */
            @Excel(name = "工程位置")
            @ApiModelProperty("工程位置")
    private String location;

    /** 所在水资源三级区名称 */
            @Excel(name = "所在水资源三级区名称")
            @ApiModelProperty("所在水资源三级区名称")
    private String waterResourceArea;

    /** 所在河流 */
            @Excel(name = "所在河流")
            @ApiModelProperty("所在河流")
    private String riverName;

    /** 所在灌区 */
            @Excel(name = "所在灌区")
            @ApiModelProperty("所在灌区")
    private String irrigationArea;

    /** 泵站类型 */
            @Excel(name = "泵站类型")
            @ApiModelProperty("泵站类型")
    private String pumpStationType;

    /** 工程建设情况 */
            @Excel(name = "工程建设情况")
            @ApiModelProperty("工程建设情况")
    private String constructionStatus;

    /** 是否为枢纽工程 */
            @Excel(name = "是否为枢纽工程")
            @ApiModelProperty("是否为枢纽工程")
    private Integer isHubProject;

    /** 是否为闸站工程 */
            @Excel(name = "是否为闸站工程")
            @ApiModelProperty("是否为闸站工程")
    private Integer isGateStation;

    /** 是否为引泉工程 */
            @Excel(name = "是否为引泉工程")
            @ApiModelProperty("是否为引泉工程")
    private Integer isSpringProject;

    /** 工程等级 */
            @Excel(name = "工程等级")
            @ApiModelProperty("工程等级")
    private Long projectGrade;

    /** 主要建筑物等级 */
            @Excel(name = "主要建筑物等级")
            @ApiModelProperty("主要建筑物等级")
    private Long buildingGrade;

    /** 水泵数量 */
            @Excel(name = "水泵数量")
            @ApiModelProperty("水泵数量")
    private Long pumpCount;

    /** 设计扬程 */
            @Excel(name = "设计扬程")
            @ApiModelProperty("设计扬程")
    private BigDecimal designLift;

    /** 装机功率 */
            @Excel(name = "装机功率")
            @ApiModelProperty("装机功率")
    private Long installedPower;

    /** 装机流量 */
            @Excel(name = "装机流量")
            @ApiModelProperty("装机流量")
    private Long installedFlow;

    /** 工程任务 */
            @Excel(name = "工程任务")
            @ApiModelProperty("工程任务")
    private String task;

    /** 工程管理单位名称 */
            @Excel(name = "工程管理单位名称")
            @ApiModelProperty("工程管理单位名称")
    private String managementUnit;

    /** 权属 */
            @Excel(name = "权属")
            @ApiModelProperty("权属")
    private String ownership;

    /** 负责人 */
            @Excel(name = "负责人")
            @ApiModelProperty("负责人")
    private String responsiblePerson;

    /** 职位 */
            @Excel(name = "职位")
            @ApiModelProperty("职位")
    private String position;

    /** 电话 */
            @Excel(name = "电话")
            @ApiModelProperty("电话")
    private String phone;

    /** 是否完成划界 */
            @Excel(name = "是否完成划界")
            @ApiModelProperty("是否完成划界")
    private Integer isDemarcated;

    /** 是否完成确权 */
            @Excel(name = "是否完成确权")
            @ApiModelProperty("是否完成确权")
    private Integer isConfirmed;

    /** 防汛物资 */
            @Excel(name = "防汛物资")
            @ApiModelProperty("防汛物资")
    private String floodPrevention;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

    /** 所属站点id */
            @Excel(name = "所属站点id")
            @ApiModelProperty("所属站点id")
    private Long siteId;

}
