package com.fastbee.ggroup.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

import java.util.Map;

/**
 * 站点对象 g_sites
 *
 * @author kerwincui
 * &#064;date  2024-09-29
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GSites", description = "站点 g_sites")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GSites extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 站点名称 */
    @Excel(name = "站点名称")
    @ApiModelProperty("站点名称")
    private String name;

    /** 图标 */
    @Excel(name = "图标")
    @ApiModelProperty("图标")
    private String icon;

    /** 类型 */
    @Excel(name = "类型")
    @ApiModelProperty("类型")
    private String type;

    /** 空间数据 */
    @Excel(name = "空间数据")
    @ApiModelProperty("空间数据")
    private String space;

    /** 项目id */
    @Excel(name = "项目id")
    @ApiModelProperty("项目id")
    private Long projectId;

    /** 空间值 */
    @Excel(name = "空间值")
    @ApiModelProperty("空间值")
    private String spaceValue;

    /** 关联的数据设备 */
    @Excel(name = "关联的数据设备")
    @ApiModelProperty("关联的数据设备")
    private String dataDevices;

    /** 关联的视频设备 */
    @Excel(name = "关联的视频设备")
    @ApiModelProperty("关联的视频设备")
    private String videoDevices;

    /** 类型id(即图例id) */
    private Long typeId;

    /** 行政区划代码 */
    @Excel(name = "行政区划代码")
    @ApiModelProperty("行政区划代码")
    private String areaCode;

    /** 完整行政区划代码一般为[县code,镇code,村code] */
    @Excel(name = "完整行政区划代码一般为[县code,镇code,村code]")
    @ApiModelProperty("完整行政区划代码一般为[县code,镇code,村code]")
    private String fullAreaCode;

    /** 删除状态[0存在,2删除] */
    private Long delFlag;

    /** 搜索值 */
    private String searchValue;
}