package com.fastbee.ggroup.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.ggroup.domain.GSiteIrrigateInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 灌区基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-04
 */
@Mapper
public interface GSiteIrrigateInfoMapper extends BaseMapper<GSiteIrrigateInfo>
{
    /**
     * 查询灌区基础信息
     *
     * @param SiteId 灌区基础信息主键
     * @return 灌区基础信息
     */
    public GSiteIrrigateInfo selectGSiteIrrigateInfoBySiteId(Long SiteId);

    /**
     * 查询灌区基础信息列表
     *
     * @param gSiteIrrigateInfo 灌区基础信息
     * @return 灌区基础信息集合
     */
    public List<GSiteIrrigateInfo> selectGSiteIrrigateInfoList(GSiteIrrigateInfo gSiteIrrigateInfo);

    /**
     * 新增灌区基础信息
     *
     * @param gSiteIrrigateInfo 灌区基础信息
     * @return 结果
     */
    public int insertGSiteIrrigateInfo(GSiteIrrigateInfo gSiteIrrigateInfo);

    /**
     * 修改灌区基础信息
     *
     * @param gSiteIrrigateInfo 灌区基础信息
     * @return 结果
     */
    public int updateGSiteIrrigateInfo(GSiteIrrigateInfo gSiteIrrigateInfo);

    /**
     * 删除灌区基础信息
     *
     * @param id 灌区基础信息主键
     * @return 结果
     */
    public int deleteGSiteIrrigateInfoById(Long id);

    /**
     * 批量删除灌区基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGSiteIrrigateInfoByIds(Long[] ids);
}
