package com.fastbee.ggroup.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.ggroup.domain.GSiteReservoirInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 水库站点基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-10-23
 */
@Mapper
public interface GSiteReservoirInfoMapper extends BaseMapper<GSiteReservoirInfo>
{
    /**
     * 查询水库站点基础信息
     *
     * @param siteId 水库基础信息所属站点id
     * @return 水库站点基础信息
     */
    public GSiteReservoirInfo selectGSiteReservoirInfoBySiteId(Long siteId);

    /**
     * 查询水库站点基础信息列表
     *
     * @param gSiteReservoirInfo 水库站点基础信息
     * @return 水库站点基础信息集合
     */
    public List<GSiteReservoirInfo> selectGSiteReservoirInfoList(GSiteReservoirInfo gSiteReservoirInfo);

    /**
     * 新增水库站点基础信息
     *
     * @param gSiteReservoirInfo 水库站点基础信息
     * @return 结果
     */
    public int insertGSiteReservoirInfo(GSiteReservoirInfo gSiteReservoirInfo);

    /**
     * 修改水库站点基础信息
     *
     * @param gSiteReservoirInfo 水库站点基础信息
     * @return 结果
     */
    public int updateGSiteReservoirInfo(GSiteReservoirInfo gSiteReservoirInfo);

    /**
     * 删除水库站点基础信息
     *
     * @param id 水库站点基础信息主键
     * @return 结果
     */
    public int deleteGSiteReservoirInfoById(Long id);

    /**
     * 批量删除水库站点基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGSiteReservoirInfoByIds(Long[] ids);
}
