package com.fastbee.ggroup.mapper;

import java.util.List;
import com.fastbee.ggroup.domain.GSiteRiverInfo;
import com.github.yulichang.base.MPJBaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 河流基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-10-22
 */
@Mapper
public interface GSiteRiverInfoMapper extends MPJBaseMapper<GSiteRiverInfo>
{
    /**
     * 查询河流基础信息
     *
     * @param id 河流基础信息主键
     * @return 河流基础信息
     */
    public GSiteRiverInfo selectGRiverInfoBySiteId(Long id);

    /**
     * 查询河流基础信息列表
     *
     * @param gSiteRiverInfo 河流基础信息
     * @return 河流基础信息集合
     */
    public List<GSiteRiverInfo> selectGRiverInfoList(GSiteRiverInfo gSiteRiverInfo);

    /**
     * 新增河流基础信息
     *
     * @param gSiteRiverInfo 河流基础信息
     * @return 结果
     */
    public int insertGRiverInfo(GSiteRiverInfo gSiteRiverInfo);

    /**
     * 修改河流基础信息
     *
     * @param gSiteRiverInfo 河流基础信息
     * @return 结果
     */
    public int updateGRiverInfo(GSiteRiverInfo gSiteRiverInfo);

    /**
     * 删除河流基础信息
     *
     * @param id 河流基础信息主键
     * @return 结果
     */
    public int deleteGRiverInfoById(Long id);

    /**
     * 批量删除河流基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGRiverInfoByIds(Long[] ids);
}
