package com.fastbee.ggroup.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.ggroup.domain.GSiteSluiceInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 水闸基本信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-10-31
 */
@Mapper
public interface GSiteSluiceInfoMapper extends BaseMapper<GSiteSluiceInfo>
{
    /**
     * 查询水闸基本信息
     *
     * @param id 水闸基本信息主键
     * @return 水闸基本信息
     */
    public GSiteSluiceInfo selectGSiteSluiceInfoById(Long id);
    /**
     * 根据siteId查询水闸基本信息
     *
     * @param siteId 水闸基本信息主键
     * @return 水闸基本信息
     */
    public GSiteSluiceInfo selectGSiteSluiceInfoBySiteId(Long siteId);
    /**
     * 查询水闸基本信息列表
     *
     * @param gSiteSluiceInfo 水闸基本信息
     * @return 水闸基本信息集合
     */
    public List<GSiteSluiceInfo> selectGSiteSluiceInfoList(GSiteSluiceInfo gSiteSluiceInfo);

    /**
     * 新增水闸基本信息
     *
     * @param gSiteSluiceInfo 水闸基本信息
     * @return 结果
     */
    public int insertGSiteSluiceInfo(GSiteSluiceInfo gSiteSluiceInfo);

    /**
     * 修改水闸基本信息
     *
     * @param gSiteSluiceInfo 水闸基本信息
     * @return 结果
     */
    public int updateGSiteSluiceInfo(GSiteSluiceInfo gSiteSluiceInfo);

    /**
     * 删除水闸基本信息
     *
     * @param id 水闸基本信息主键
     * @return 结果
     */
    public int deleteGSiteSluiceInfoById(Long id);

    /**
     * 批量删除水闸基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGSiteSluiceInfoByIds(Long[] ids);
}
