package com.fastbee.iot.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 设备操作记录对象 ng_device_operation_records
 *
 * @author kerwincui
 * @date 2024-12-30
 */
@ApiModel(value = "NgDeviceOperationRecords",description = "设备操作记录 ng_device_operation_records")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgDeviceOperationRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增 */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private Long userId;

    /** 机构id */
    @Excel(name = "机构id")
    @ApiModelProperty("机构id")
    private Long deptId;

    /** 操作报文内容 */
    @Excel(name = "操作报文内容")
    @ApiModelProperty("操作报文内容")
    private String operationMessage;

    /** cmd的值如700，110 */
    @Excel(name = "cmd的值如700，110")
    @ApiModelProperty("cmd的值如700，110")
    private Long operationType;

    /** 操作内容，如开阀/关阀 */
    @Excel(name = "操作内容，如开阀/关阀")
    @ApiModelProperty("操作内容，如开阀/关阀")
    private String operationContent;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("操作时间")
    private Date operationTime;

    /** 0=成功，1=失败 */
    @Excel(name = "0=成功，1=失败")
    @ApiModelProperty("0=成功，1=失败")
    private Integer operationResult;

    /** 失败原因 */
    @Excel(name = "失败原因")
    @ApiModelProperty("失败原因")
    private String failureReason;

    /** 设备编码 */
    @Excel(name = "设备编码")
    @ApiModelProperty("设备编码")
    private String deviceNumber;

}
