package com.fastbee.iot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.iot.domain.DeviceReportInfo;
import org.apache.ibatis.annotations.Mapper;


/**
 * 设备上电审核前上报的基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-12-05
 */
@Mapper
public interface DeviceReportInfoMapper extends BaseMapper<DeviceReportInfo>
{
    /**
     * 查询设备上电审核前上报的基础信息
     *
     * @param id 设备上电审核前上报的基础信息主键
     * @return 设备上电审核前上报的基础信息
     */
    public DeviceReportInfo selectDeviceReportInfoById(Long id);

    /**
     * 查询设备上电审核前上报的基础信息列表
     *
     * @param deviceReportInfo 设备上电审核前上报的基础信息
     * @return 设备上电审核前上报的基础信息集合
     */
    public List<DeviceReportInfo> selectDeviceReportInfoList(DeviceReportInfo deviceReportInfo);

    /**
     * 新增设备上电审核前上报的基础信息
     *
     * @param deviceReportInfo 设备上电审核前上报的基础信息
     * @return 结果
     */
    public int insertDeviceReportInfo(DeviceReportInfo deviceReportInfo);

    /**
     * 修改设备上电审核前上报的基础信息
     *
     * @param deviceReportInfo 设备上电审核前上报的基础信息
     * @return 结果
     */
    public int updateDeviceReportInfo(DeviceReportInfo deviceReportInfo);

    /**
     * 删除设备上电审核前上报的基础信息
     *
     * @param id 设备上电审核前上报的基础信息主键
     * @return 结果
     */
    public int deleteDeviceReportInfoById(Long id);

    /**
     * 批量删除设备上电审核前上报的基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceReportInfoByIds(Long[] ids);
}
