package com.fastbee.iot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.iot.domain.NgFlowDeviceData;
import com.fastbee.iot.domain.dto.NgFlowDeviceDataDto;
import org.apache.ibatis.annotations.Mapper;

/**
 * 流量计设备数据Mapper接口
 *
 * @author kerwincui
 * @date 2024-12-30
 */
@Mapper
public interface NgFlowDeviceDataMapper extends BaseMapper<NgFlowDeviceData>
{
    /**
     * 根据时间查询流量计历史数据
     * @param ngFlowDeviceDataDto
     * @return
     */
    public List<NgFlowDeviceData> selectNgFlowDeviceDataListByTime(NgFlowDeviceDataDto ngFlowDeviceDataDto);

    /**
     * 查询流量计设备数据
     *
     * @param id 流量计设备数据主键
     * @return 流量计设备数据
     */
    public NgFlowDeviceData selectNgFlowDeviceDataById(Long id);

    /**
     * 查询流量计设备数据列表
     *
     * @param ngFlowDeviceData 流量计设备数据
     * @return 流量计设备数据集合
     */
    public List<NgFlowDeviceData> selectNgFlowDeviceDataList(NgFlowDeviceData ngFlowDeviceData);

    /**
     * 新增流量计设备数据
     *
     * @param ngFlowDeviceData 流量计设备数据
     * @return 结果
     */
    public int insertNgFlowDeviceData(NgFlowDeviceData ngFlowDeviceData);

    /**
     * 修改流量计设备数据
     *
     * @param ngFlowDeviceData 流量计设备数据
     * @return 结果
     */
    public int updateNgFlowDeviceData(NgFlowDeviceData ngFlowDeviceData);

    /**
     * 删除流量计设备数据
     *
     * @param id 流量计设备数据主键
     * @return 结果
     */
    public int deleteNgFlowDeviceDataById(Long id);

    /**
     * 批量删除流量计设备数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgFlowDeviceDataByIds(Long[] ids);
}
