package com.fastbee.iot.service;

import java.util.List;
import com.fastbee.iot.domain.NgDeviceOperationRecords;

/**
 * 设备操作记录Service接口
 *
 * @author kerwincui
 * @date 2024-12-30
 */
public interface INgDeviceOperationRecordsService
{
    /**
     * 查询设备操作记录
     *
     * @param id 设备操作记录主键
     * @return 设备操作记录
     */
    public NgDeviceOperationRecords selectNgDeviceOperationRecordsById(Long id);

    /**
     * 查询设备操作记录列表
     *
     * @param ngDeviceOperationRecords 设备操作记录
     * @return 设备操作记录集合
     */
    public List<NgDeviceOperationRecords> selectNgDeviceOperationRecordsList(NgDeviceOperationRecords ngDeviceOperationRecords);

    /**
     * 新增设备操作记录
     *
     * @param ngDeviceOperationRecords 设备操作记录
     * @return 结果
     */
    public int insertNgDeviceOperationRecords(NgDeviceOperationRecords ngDeviceOperationRecords);

    /**
     * 修改设备操作记录
     *
     * @param ngDeviceOperationRecords 设备操作记录
     * @return 结果
     */
    public int updateNgDeviceOperationRecords(NgDeviceOperationRecords ngDeviceOperationRecords);

    /**
     * 批量删除设备操作记录
     *
     * @param ids 需要删除的设备操作记录主键集合
     * @return 结果
     */
    public int deleteNgDeviceOperationRecordsByIds(Long[] ids);

    /**
     * 删除设备操作记录信息
     *
     * @param id 设备操作记录主键
     * @return 结果
     */
    public int deleteNgDeviceOperationRecordsById(Long id);
}
