package com.fastbee.rechargecard.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 灌区对象 ng_Irrigation_area
 *
 * @author kerwincui
 * @date 2024-12-26
 */
@ApiModel(value = "NgIrrigationArea",description = "灌区 ng_Irrigation_area")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgIrrigationArea extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 灌区名称 */
            @Excel(name = "灌区名称")
            @ApiModelProperty("灌区名称")
    private String name;

    /** 商户号 */
            @Excel(name = "商户号")
            @ApiModelProperty("商户号")
    private String merchantId;

    /** 商户api证书序列号 */
            @Excel(name = "商户api证书序列号")
            @ApiModelProperty("商户api证书序列号")
    private String serialNo;

    /** 商户apiv3密钥 */
            @Excel(name = "商户apiv3密钥")
            @ApiModelProperty("商户apiv3密钥")
    private String apiv3Key;

    /** 微信支付公钥 */
            @Excel(name = "微信支付公钥")
            @ApiModelProperty("微信支付公钥")
    private String publicKey;

    /** 商户API私钥 */
            @Excel(name = "商户API私钥")
            @ApiModelProperty("商户API私钥")
    private String privateKey;

}
