package com.fastbee.rechargecard.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 充值机信息对象 ng_recharge_machines
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@ApiModel(value = "NgRechargeMachines",description = "充值机信息 ng_recharge_machines")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgRechargeMachines extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 充值机id，自增主键 */
    private Long id;

    /** 位置 */
    @Excel(name = "位置")
    @ApiModelProperty("位置")
    private String location;

    /** 设备型号 */
    @Excel(name = "设备型号")
    @ApiModelProperty("设备型号")
    private String deviceModel;

    /** 序列号 */
    @Excel(name = "序列号")
    @ApiModelProperty("序列号")
    private String serialNumber;

    /** 区域号 */
    @Excel(name = "区域号")
    @ApiModelProperty("区域号")
    private String areaCode;

    /** 安装日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安装日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("安装日期")
    private Date installationDate;

    /** 状态,0=正常，1=维护中 */
    @Excel(name = "状态,0=正常，1=维护中")
    @ApiModelProperty("状态,0=正常，1=维护中")
    private Integer status;

    /** 联系人 */
    @Excel(name = "联系人")
    @ApiModelProperty("联系人")
    private String contactPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    @ApiModelProperty("联系电话")
    private String contactPhone;

    /** 充值机名称 */
    @Excel(name = "充值机名称")
    @ApiModelProperty("充值机名称")
    private String deviceName;

    /** 所属机构 */
    @Excel(name = "所属机构")
    @ApiModelProperty("所属机构")
    private Long deptId;

}
