package com.fastbee.rechargecard.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 城镇亩均确权对象 ng_urban_mu_rights
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@ApiModel(value = "NgUrbanMuRights",description = "城镇亩均确权 ng_urban_mu_rights")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgUrbanMuRights extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long muRightsId;

    /** 年度 */
            @JsonFormat(pattern = "yyyy-MM-dd")
            @Excel(name = "年度", width = 30, dateFormat = "yyyy-MM-dd")
            @ApiModelProperty("年度")
    private Date year;

    /** 用水量 */
            @Excel(name = "用水量")
            @ApiModelProperty("用水量")
    private BigDecimal water;

    /** 行政区域(县) */
            @Excel(name = "行政区域(县)")
            @ApiModelProperty("行政区域(县)")
    private String administrative;

}
