package com.fastbee.rechargecard.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 用户充值卡对象 user_recharge_cards
 *
 * @author kerwincui
 * @date 2024-12-17
 */
@ApiModel(value = "UserRechargeCards",description = "用户充值卡 user_recharge_cards")
@Data
@EqualsAndHashCode(callSuper = true)
public class UserRechargeCards extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 用户名 */
    @Excel(name = "用户名")
    @ApiModelProperty("用户名")
    private String userName;

    /** 姓名 */
    @Excel(name = "姓名")
    @ApiModelProperty("姓名")
    private String name;

    /** 手机号 */
    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    private String phone;

    /** 所属项目ID */
    @Excel(name = "所属项目ID")
    @ApiModelProperty("所属项目ID")
    private Long projectId;

    /** 所属机构ID */
    @Excel(name = "所属机构ID")
    @ApiModelProperty("所属机构ID")
    private Long deptId;

    /** 账户余额 */
    @Excel(name = "账户余额")
    @ApiModelProperty("账户余额")
    private BigDecimal balance;

    /** 充值卡号 */
    @Excel(name = "充值卡号")
    @ApiModelProperty("充值卡号")
    private String cardNumber;

    /** 充值卡密码 */
    @Excel(name = "充值卡密码")
    @ApiModelProperty("充值卡密码")
    private String cardPassword;

    /** 发行日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发行日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("发行日期")
    private Date issueDate;

    /** 有效期至 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期至", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("有效期至")
    private Date expirationDate;

    /** 状态，如：0正常使用，1禁用 */
    @Excel(name = "状态，如：0正常使用，1禁用")
    @ApiModelProperty("状态，如：0正常使用，1禁用")
    private Integer status;

    /** 逻辑删除标志，0存在，2已删除 */
    private Integer delFlag;

    /** 终端用户id */
    @Excel(name = "终端用户id")
    @ApiModelProperty("终端用户id")
    private Long userId;

    /** 区域码 */
    @Excel(name = "区域码")
    @ApiModelProperty("区域码")
    private String areaCode;

}
