package com.fastbee.rechargecard.domain.dto;

import com.fastbee.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
@Data
public class NgWaterPumpUsageRecordsDto {
    private Long id;

    /** 开泵时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开泵时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("开泵时间")
    private Date pumpStartTime;

    /** 关泵时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "关泵时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("关泵时间")
    private Date pumpStopTime;

    /** 设备编号 */
    @Excel(name = "设备编号")
    @ApiModelProperty("设备编号")
    private String deviceNumber;

    /** 报文内容 */
    @Excel(name = "报文内容")
    @ApiModelProperty("报文内容")
    private String messageContent;

    /** 瞬时流量 */
    @Excel(name = "瞬时流量")
    @ApiModelProperty("瞬时流量")
    private String insFlow;

    /** 累计流量 */
    @Excel(name = "累计流量")
    @ApiModelProperty("累计流量")
    private String sumFlow;

    /** 实时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实时时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("实时时间")
    private Date realTime;

    /** 保存时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "保存时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("保存时间")
    private Date saveTime;

    /** 累计用电量 */
    @Excel(name = "累计用电量")
    @ApiModelProperty("累计用电量")
    private String sumEle;

    /** 瞬时功率 */
    @Excel(name = "瞬时功率")
    @ApiModelProperty("瞬时功率")
    private String insPower;

    //时间筛选开始时间
    private Date startTime;
    //时间筛选结束时间
    private Date endTime;
}
