package com.fastbee.rechargecard.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.rechargecard.domain.NgMerchants;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 商户信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-12-27
 */
@Mapper
public interface NgMerchantsMapper extends BaseMapper<NgMerchants>
{
    /**
     * 查询商户信息
     *
     * @param id 商户信息主键
     * @return 商户信息
     */
    public NgMerchants selectNgMerchantsById(Long id);

    /**
     * 查询商户信息列表
     *
     * @param ngMerchants 商户信息
     * @return 商户信息集合
     */
    public List<NgMerchants> selectNgMerchantsList(NgMerchants ngMerchants);

    /**
     * 新增商户信息
     *
     * @param ngMerchants 商户信息
     * @return 结果
     */
    public int insertNgMerchants(NgMerchants ngMerchants);

    /**
     * 修改商户信息
     *
     * @param ngMerchants 商户信息
     * @return 结果
     */
    public int updateNgMerchants(NgMerchants ngMerchants);

    /**
     * 删除商户信息
     *
     * @param id 商户信息主键
     * @return 结果
     */
    public int deleteNgMerchantsById(Long id);

    /**
     * 批量删除商户信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgMerchantsByIds(Long[] ids);
}
