package com.fastbee.rechargecard.mapper;

import java.util.List;
import com.fastbee.rechargecard.domain.NgRechargeMachines;
import org.apache.ibatis.annotations.Mapper;

/**
 * 充值机信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@Mapper
public interface NgRechargeMachinesMapper
{
    /**
     * 查询充值机信息
     *
     * @param id 充值机信息主键
     * @return 充值机信息
     */
    public NgRechargeMachines selectNgRechargeMachinesById(Long id);

    /**
     * 查询充值机信息列表
     *
     * @param ngRechargeMachines 充值机信息
     * @return 充值机信息集合
     */
    public List<NgRechargeMachines> selectNgRechargeMachinesList(NgRechargeMachines ngRechargeMachines);

    /**
     * 新增充值机信息
     *
     * @param ngRechargeMachines 充值机信息
     * @return 结果
     */
    public int insertNgRechargeMachines(NgRechargeMachines ngRechargeMachines);

    /**
     * 修改充值机信息
     *
     * @param ngRechargeMachines 充值机信息
     * @return 结果
     */
    public int updateNgRechargeMachines(NgRechargeMachines ngRechargeMachines);

    /**
     * 删除充值机信息
     *
     * @param id 充值机信息主键
     * @return 结果
     */
    public int deleteNgRechargeMachinesById(Long id);

    /**
     * 批量删除充值机信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgRechargeMachinesByIds(Long[] ids);
}
