package com.fastbee.rechargecard.service;

import java.util.List;
import com.fastbee.rechargecard.domain.NgIrrigationControllers;

/**
 * 灌溉控制器信息Service接口
 *
 * @author kerwincui
 * @date 2024-12-19
 */
public interface INgIrrigationControllersService
{
    /**
     * 查询灌溉控制器信息
     *
     * @param id 灌溉控制器信息主键
     * @return 灌溉控制器信息
     */
    public NgIrrigationControllers selectNgIrrigationControllersById(Long id);

    /**
     * 查询灌溉控制器信息列表
     *
     * @param ngIrrigationControllers 灌溉控制器信息
     * @return 灌溉控制器信息集合
     */
    public List<NgIrrigationControllers> selectNgIrrigationControllersList(NgIrrigationControllers ngIrrigationControllers);

    /**
     * 新增灌溉控制器信息
     *
     * @param ngIrrigationControllers 灌溉控制器信息
     * @return 结果
     */
    public int insertNgIrrigationControllers(NgIrrigationControllers ngIrrigationControllers);

    /**
     * 修改灌溉控制器信息
     *
     * @param ngIrrigationControllers 灌溉控制器信息
     * @return 结果
     */
    public int updateNgIrrigationControllers(NgIrrigationControllers ngIrrigationControllers);

    /**
     * 批量删除灌溉控制器信息
     *
     * @param ids 需要删除的灌溉控制器信息主键集合
     * @return 结果
     */
    public int deleteNgIrrigationControllersByIds(Long[] ids);

    /**
     * 删除灌溉控制器信息信息
     *
     * @param id 灌溉控制器信息主键
     * @return 结果
     */
    public int deleteNgIrrigationControllersById(Long id);
}
