package com.fastbee.waterele.mapper;

import java.util.List;
import com.fastbee.waterele.domain.MaWatereleRecord;

/**
 * 水电双计数据记录Mapper接口
 *
 * @author kerwincui
 * @date 2024-08-12
 */
public interface MaWatereleRecordMapper
{
    /**
     * 查询水电双计数据记录
     *
     * @param id 水电双计数据记录主键
     * @return 水电双计数据记录
     */
    public MaWatereleRecord selectMaWatereleRecordById(Long id);

    /**
     * 查询水电双计数据记录列表
     *
     * @param maWatereleRecord 水电双计数据记录
     * @return 水电双计数据记录集合
     */
    public List<MaWatereleRecord> selectMaWatereleRecordList(MaWatereleRecord maWatereleRecord);

    /**
     * 新增水电双计数据记录
     *
     * @param maWatereleRecord 水电双计数据记录
     * @return 结果
     */
    public int insertMaWatereleRecord(MaWatereleRecord maWatereleRecord);

    /**
     * 修改水电双计数据记录
     *
     * @param maWatereleRecord 水电双计数据记录
     * @return 结果
     */
    public int updateMaWatereleRecord(MaWatereleRecord maWatereleRecord);

    /**
     * 删除水电双计数据记录
     *
     * @param id 水电双计数据记录主键
     * @return 结果
     */
    public int deleteMaWatereleRecordById(Long id);

    /**
     * 批量删除水电双计数据记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMaWatereleRecordByIds(Long[] ids);
}
