package com.fastbee.xunjian.service;


import com.fastbee.xunjian.domain.XjInspectionRecords;

import java.util.HashMap;
import java.util.List;

/**
 * 记录Service接口
 *
 * @author kenlixunjian
 * @date 2023-08-04
 */
public interface IXjInspectionRecordsService {
    /**
     * 查询记录
     *
     * @param id 记录主键
     * @return 记录
     */
    public XjInspectionRecords selectXjInspectionRecordsById(Long id);

    /**
     * 查询记录列表
     *
     * @param XjInspectionRecords 记录
     * @return 记录集合
     */
    public List<XjInspectionRecords> selectXjInspectionRecordsList(XjInspectionRecords XjInspectionRecords);

    /**
     * 新增记录
     *
     * @param XjInspectionRecords 记录
     * @return 结果
     */
    public int insertXjInspectionRecords(XjInspectionRecords XjInspectionRecords);

    /**
     * 修改记录
     *
     * @param XjInspectionRecords 记录
     * @return 结果
     */
    public int updateXjInspectionRecords(XjInspectionRecords XjInspectionRecords);

    /**
     * 批量删除记录
     *
     * @param ids 需要删除的记录主键集合
     * @return 结果
     */
    public int deleteXjInspectionRecordsByIds(Long[] ids);

    /**
     * 删除记录信息
     *
     * @param id 记录主键
     * @return 结果
     */
    public int deleteXjInspectionRecordsById(Long id);

    List<HashMap> getInspectionTasksYichangCountByParmas(HashMap<String, Object> params);

}
